:root {
	--theme-black: #0B121D;
	--theme-blue: #5A79A3;
	--theme-white: #F1F4F8;

	--theme-stats1: #45618B;
	--theme-stats2: #6A80A2;
	--theme-stats3: #8FA0B9;

	--bs-body-font-size: 18px;
}

@font-face {
	font-family: 'Open Sans';
	src: url('Fonts/Open_Sans/OpenSans-VariableFont_wdth,wght.ttf') format('truetype');
	font-display: swap;
	font-style: normal;
}

@font-face {
	font-family: 'Open Sans Italic';
	src: url('Fonts/Open_Sans/OpenSans-Italic-VariableFont_wdth,wght.ttf') format('truetype');
	font-display: swap;
	font-style: italic;
}

@font-face {
	font-family: 'Roboto';
	src: url('Fonts/Roboto/Roboto-VariableFont_wdth,wght.ttf') format('truetype');
	font-display: swap;
	font-style: normal;
}

@font-face {
	font-family: 'Roboto Italic';
	src: url('Fonts/Roboto/Roboto-Italic-VariableFont_wdth,wght.ttf') format('truetype');
	font-display: swap;
	font-style: italic;
}

*,
::before,
::after
{
	box-sizing: border-box;
}

html {
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	font-family: Arial, sans-serif;
}

a {
	color: var(--theme-blue);
	text-decoration: none;
	&:hover {
		text-decoration: underline;
	}
}

blockquote {
	color: var(--theme-black);
	font-family: "Roboto Italic";
	font-size: 18px;
	padding: 2rem 0;
	text-align: center;
	p {
		color: var(--theme-black);
		margin: 0;
	}
	cite {
		display: block;
	}
}

p {
	color: var(--theme-black);
	font-family: Roboto;
	font-size: 18px;
}

.btn-primary {
	--bs-btn-bg: var(--theme-blue);
	--bs-btn-border-color: var(--theme-blue);
}

.dark {
	background: var(--theme-blue);
	border-radius: 8px;
	color: var(--theme-white);
	padding: 1rem;
}

.main-content {
	background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), url('images/image2.webp');
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	min-height: 80vh;
	padding: 5vh 0;
	blockquote {
		margin: 3vh auto;
		max-width: 95%;
		width: fit-content;
	}
	h1 {
		color: var(--theme-white);
		font-size: 64px;
		font-weight: bolder;
		text-align: center;
	}
	h2 {
		color: #9AADC8;
		font-size: 42px;
		font-weight: bolder;
		margin: 3vh 0;
		text-align: center;
	}
	p {
		color: var(--theme-white);
		font-family: Roboto;
		font-size: 18px;
		margin: 0 auto;
		text-align: center;
		width: 85%;
	}
	@media screen and (min-width: 768px) {
		h1 {
			font-size: 72px;
		}
		h2 {
			font-size: 46px;
			margin-bottom: 15vh;
		}
		.section-content {
			width: 80%;
		}
	}
	@media screen and (min-width: 1024px) {
		blockquote {
			margin: 5vh auto;
			width: fit-content;
		}
		p {
			margin: 0 auto 2vh;
			width: 50%;
		}
		h2 {
			margin: 5vh 0;
		}
	}
}

.required::after {
	color: var(--theme-white);
	content: "*";
	font-size: 1.5rem;
	margin-left: 0.25rem;
}

.section-block {
	background: var(--theme-white);
	padding: 1rem 0;
	h3 {
		color: var(--theme-blue);
		font-size: 32px;
		margin: 30px 0;
		text-align: center;
	}
	.section-content {
		padding: 0 5%;
	}
	.section-form {
		padding: 1rem 5%;
	}
	.section-image {
		display: flex;
		flex-flow: column nowrap;
		justify-content: center;
		img {
			flex: 0 0 auto;
			width: 100%;
		}
	}
	@media screen and (min-width: 768px) {
		align-items: center;
		display: flex;
		flex-flow: row nowrap;
		padding: 0;
		div {
			flex: 0 0 50%;
		}
		.image-right {
			order: 1;
		}
		.section-content {
			display: flex;
			flex-flow: column nowrap;
			justify-content: center;
		}
		.section-form {
			flex: 0 0 50%;
		}
	}
}

.flex-top {
	align-items: flex-start;
}

.section-dark {
	background: #6A81A2;
	color: var(--theme-white);
	a {
		color: var(--theme-white);
	}
	h3 {
		color: var(--theme-white);
		margin: 1rem 0;
	}
	p {
		color: var(--theme-white);
	}
}

.section-footer {
	background: var(--theme-blue);
	color: var(--theme-white);
	padding: 1rem 0;
	text-align: center;
	h3 {
		color: var(--theme-white);
		font-size: 32px;
		margin: 20px 0;
		text-align: center;
	}
	p {
		color: var(--theme-white);
		font-size: 18px;
		margin: 2rem auto;
		text-align: center;
		width: 80%;
	}
}

.section-stats {
	background: var(--theme-white);
	display: flex;
	flex-flow: row nowrap;
	padding: 0;
	div {
		align-items: center;
		display: flex;
		flex-flow: column nowrap;
		justify-content: center;
		flex: 0 0 33.333%;
		min-height: 20vh;
		padding: 1rem 0;
		h3 {
			color: var(--theme-white);
			flex: 0 0 auto;
			font-size: 48px;
		}
		p {
			color: var(--theme-white);
			flex: 0 0 auto;
			font-size: 18px;
			text-align: center;
		}
	}
	.stats {
		display: flex;
		flex-flow: column nowrap;
		justify-content: flex-start;
	}
	.stats1 {
		background: var(--theme-stats1);
	}
	.stats2 {
		background: var(--theme-stats2);
	}
	.stats3 {
		background: var(--theme-stats3);
	}
	@media screen and (min-width: 768px) {
		.stats {
			justify-content: center;
		}
	}
}

header {
	padding: 1rem 0;
	position: sticky;
	top: 0;
	transition: all 0.5s ease-in-out;
	h1 {
		color: var(--theme-blue);
		text-align: center;
	}
}
.page-scrolled {
	background: var(--theme-blue);
	color: #fff;
	h1 {
		color: #fff;
	}
}

.text-right {
	text-align: right;
}

code,
kbd,
pre,
samp,
.debug
{
	background: #DDFC96;
	color: #666;
	font-family: monospace, serif;
	margin: 0;
	overflow: auto;
	padding: 0.25rem;
	white-space: pre-wrap;
	word-wrap: break-word;
	width: 100%;
}
